/* @file login.js
 * This file contains pure javascript code to
 * Validate email/phone number in same input filed.
 * This file is developed by https://www.tutorialsplane.com
 * You can use this free of cost anywhere
 * To read more & demos visit : https://www.tutorialsplane.com
 */
function validateForm() {
    var login = document.forms['myform'];
    var phone = login['username'].value;
    /** If check a value email or phone number not null **/
    if (phone == "") {
        document.getElementById('login-error').innerHTML = "Please enter your phone number or email.";
        return false;
    }

    var phoneVal = document.getElementById("user-id").value;

    var email = login['username'].value;

    var atpos = email.indexOf("@");
    var dotpos = email.lastIndexOf(".");
    var isPhone = false;
    var isEmail = false;
    if (!(/^\d{10}$/.test(phoneVal))) {
        isPhone = false;
    } else {
        isPhone = true;
    }

    if (atpos < 1 || dotpos < atpos + 2 || dotpos + 2 >= email.length) {

        isEmail = false;

    } else {
        isEmail = true;
    }
    if (!isPhone && !isEmail) {

        document.getElementById("login-error").innerHTML = "Please enter your valid phone no or email.";
        return false;

    }

}